AI Music API
Home
Home
  1. producer
  • Introduction
  • Credits Usage Guide
  • AI Music API FAQ & Troubleshooting
  • Special Scenarios
  • Error handling
  • Webhook Integration Guide
  • sonic
    • Sonic Instructions
    • create / extend / cover music
      POST
    • upload and extend music
      POST
    • upload and cover music
      POST
    • create persona
      POST
    • sample
      POST
    • mashup
      POST
    • get BPM
      POST
    • get VOX
      POST
    • get wav
      POST
    • get midi
      POST
    • get lyrics timeline
      POST
    • upsample tags
      POST
    • concat music
      POST
    • stems basic
      POST
    • stems full
      POST
    • remaster
      POST
    • replace section
      POST
    • add vocal
      POST
    • add instrumental
      POST
    • upload music
      POST
    • get music
      GET
  • riffusion(Deprecated)
    • Riffusion instructions
    • create music (with lyrics)
    • create music (with description)
    • cover music
    • extend music
    • replace music section
    • swap music sound
    • swap music vocals
    • upload
    • get music
  • producer
    • Producer Instructions
    • Complete Request Example
    • create music
      POST
    • upload
      POST
    • download
      POST
    • get music
      GET
  • nuro
    • Nuro Instruction
    • Error handling
    • create vocal music
    • create instrument music
    • get music
  • lyrics generation
    • Make Lyrics
  • get-credits
    GET
  • Schemas
    • 记录不存在
    • 参数不正确
Home
Home
  1. producer

create music

POST
https://api.aimusicapi.ai/api/v1/producer/create
Create music with text prompt or custom lyrics. Each request generates one song.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Example
{
    "task_type": "create_music",
    "mv": "FUZZ-2.0 Pro",
    "sound": "emotional pop with gentle piano, warm synths, and a catchy beat",
    "lyrics_strength": 0.5,
    "sound_strength": 0.5,
    "make_instrumental": false,
    "title": "Back to You",
    "lyrics": "[Verse 1]\nI've been running in circles, chasing my doubts\nTrying to quiet the silence that's been too loud\nEvery streetlight flickers with a memory\nBut none of them shine like you did to me\n\n[Chorus]\nI keep coming back to you\nLike the ocean to the moon\nEvery night I try to move\nBut the stars still spell your name"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.aimusicapi.ai/api/v1/producer/create' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "task_type": "create_music",
    "mv": "FUZZ-2.0 Pro",
    "sound": "emotional pop with gentle piano, warm synths, and a catchy beat",
    "lyrics_strength": 0.5,
    "sound_strength": 0.5,
    "make_instrumental": false,
    "title": "Back to You",
    "lyrics": "[Verse 1]\nI'\''ve been running in circles, chasing my doubts\nTrying to quiet the silence that'\''s been too loud\nEvery streetlight flickers with a memory\nBut none of them shine like you did to me\n\n[Chorus]\nI keep coming back to you\nLike the ocean to the moon\nEvery night I try to move\nBut the stars still spell your name"
}'

Responses

🟢200OK
application/json
Task created successfully
Body

Example
{
    "code": 200,
    "task_id": "d8b553d0-cb53-442d-aae8-bba319ab5d65",
    "message": "success"
}
🟠400Bad Request
🟠403Forbidden
Modified at 2026-02-25 06:25:46
Previous
Complete Request Example
Next
upload
Built with